> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set status

> Set status

### Path parameters

<ParamField path="id" type="string" required>
  EDI document ID
</ParamField>

### Request body

`SetStatusRequest`

<ParamField body="error_message" type="string,null" />

<ParamField body="status" type="string" required>
  `pending`, `sent`, `acknowledged`, `processed`, `error`.
</ParamField>

### Responses

<ResponseField name="200" type="EdiDocumentResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/edi-documents/{id}/status' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "error_message": null,
    "status": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "string",
    "direction": "string",
    "document_type": "string",
    "error_message": null,
    "id": "string",
    "partner": null,
    "reference": null,
    "status": "string"
  }
  ```
</ResponseExample>
